# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

content_files_menu_item = items.MenuItem(
    # GENERAL
    _('Content_files'), 
    reverse('admin:app_list', kwargs={'app_label': 'content_files'}),
    children=[
        items.MenuItem(
            _('Content_files'),
            '',
            children=[
                items.MenuItem(_('Add Content_files'), reverse('admin:content_files_content_files_add',)), 
                items.MenuItem(_('Content_files List'), reverse('admin:content_files_content_files_changelist',)),
            ]
        ),
    ]
)


register_menu(content_files_menu_item, 'jmb.content_files')